Your message dated Tue, 10 Oct 2017 17:33:40 +0000
with message-id <e1e1ypu-000eos...@fasolo.debian.org>
and subject line Bug#874640: fixed in libjide-oss-java 3.7.1+dfsg-1
has caused the Debian Bug report #874640,
regarding FTBFS with Java 9: sun.swing..
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
874640: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874640
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: libjide-oss-java
Version: 3.6.18+dfsg
Severity: normal
User: debian-j...@lists.debian.org
Usertags: default-java9
Tags: fixed-upstream

This package fails to build with default-jdk pointing to openjdk-9-jdk.
Please fix it, so that we can start the transition to Java 9.
The wiki has some common problems and their solutions:
https://wiki.debian.org/Java/Java9Pitfalls

This seems to have been fixed upstream, but not released:
https://github.com/jidesoft/jide-oss/commit/afac15d1eb62308d535abeb142cdb1e2df1eab39#diff-b943f8a80f4d59548be8448fddeebf78

Build log:

compile:
    [mkdir] Created dir: /build/libjide-oss-java-3.6.18+dfsg/classes
    [javac] /build/libjide-oss-java-3.6.18+dfsg/build.xml:54: warning: 
'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to 
false for repeatable builds
    [javac] Use of a source 1.5 is no longer supported, switching to 1.6
    [javac] Use of a target 1.5 is no longer supported, switching to 1.6
    [javac] Compiling 496 source files to 
/build/libjide-oss-java-3.6.18+dfsg/classes
    [javac] warning: [options] bootstrap class path not set in conjunction with 
-source 1.6
    [javac] warning: [options] source value 1.6 is obsolete and will be removed 
in a future release
    [javac] warning: [options] target value 1.6 is obsolete and will be removed 
in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use 
-Xlint:-options.
    [javac] 
/build/libjide-oss-java-3.6.18+dfsg/src/com/jidesoft/plaf/basic/BasicPainter.java:11:
 error: cannot find symbol
    [javac] import sun.swing.plaf.synth.SynthIcon;
    [javac]                            ^
    [javac]   symbol:   class SynthIcon
    [javac]   location: package sun.swing.plaf.synth



Cheers,
Chris.

--- End Message ---
--- Begin Message ---
Source: libjide-oss-java
Source-Version: 3.7.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
libjide-oss-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 874...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <a...@debian.org> (supplier of updated libjide-oss-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 10 Oct 2017 18:54:37 +0200
Source: libjide-oss-java
Binary: libjide-oss-java libjide-oss-java-doc
Architecture: source
Version: 3.7.1+dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Markus Koschany <a...@debian.org>
Description:
 libjide-oss-java - extensible Swing component library for Java
 libjide-oss-java-doc - extensible Swing component library for Java -- 
documentation
Closes: 874640
Changes:
 libjide-oss-java (3.7.1+dfsg-1) unstable; urgency=medium
 .
   * New upstream version 3.7.1+dfsg.
     - Supports Java9. Thanks to Christ West for the report. (Closes: #874640)
   * Declare compliance with Debian Policy 4.1.1.
   * Build-depend on openjdk-9-jdk and use Java 9.
   * Add java9-add-exports.patch and pass the --add-exports option to
     javadoc directly. Otherwise the documentation will not be built.
   * Update jlibs to 3.7.1.
Checksums-Sha1:
 6a4a89ba1e4ee0d5e444cba7cb0c2e6bde230e46 2349 libjide-oss-java_3.7.1+dfsg-1.dsc
 2bb103ce7b552ef507eaf77ce9f8770f13a85420 3307700 
libjide-oss-java_3.7.1+dfsg.orig.tar.xz
 9495da21931d3ed439c009c05942a5df609481ac 7732 
libjide-oss-java_3.7.1+dfsg-1.debian.tar.xz
 d795f87a78a6157b09df62c18eb31fe533b0bd69 11189 
libjide-oss-java_3.7.1+dfsg-1_amd64.buildinfo
Checksums-Sha256:
 0880664d67912bb1be087d3f465e32e72241ea7edeabbe6d8cc5e87ffdc6b072 2349 
libjide-oss-java_3.7.1+dfsg-1.dsc
 4d65936bd112f1116a332cc8c040b7dcf6e1974a30c0cd93c4be3e6660b930dc 3307700 
libjide-oss-java_3.7.1+dfsg.orig.tar.xz
 11fd5fdbf3aa6aedab70073a8d253713829b61c1b1005f5dc5ecca2fe063030f 7732 
libjide-oss-java_3.7.1+dfsg-1.debian.tar.xz
 84dd834bd9443479d011b63105582b4822e46d8ac304c9ae58d56c7b0ca5d2f9 11189 
libjide-oss-java_3.7.1+dfsg-1_amd64.buildinfo
Files:
 b633cf2e242fc3558a96bcab3d191f69 2349 java optional 
libjide-oss-java_3.7.1+dfsg-1.dsc
 51c5ef445c8a1d25f8edde4f0ff2b34f 3307700 java optional 
libjide-oss-java_3.7.1+dfsg.orig.tar.xz
 f0cf322801a1f0338c57b8a95c3913d1 7732 java optional 
libjide-oss-java_3.7.1+dfsg-1.debian.tar.xz
 9086ca6e3db50469adc252d5def376b8 11189 java optional 
libjide-oss-java_3.7.1+dfsg-1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQKjBAEBCgCNFiEErPPQiO8y7e9qGoNf2a0UuVE7UeQFAlndAZxfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEFD
RjNEMDg4RUYzMkVERUY2QTFBODM1RkQ5QUQxNEI5NTEzQjUxRTQPHGFwb0BkZWJp
YW4ub3JnAAoJENmtFLlRO1HkLUwQAMNvVdJZHQ28rT+dwNK6d1K4VzfNxvihJOAH
E2/mWo/DVbJ/RpbuFWnjgejGYMV/JBE9I4/KptFBIlrX0xZtBEgtVFg4cWz7C4Sq
JpVSgntV9UChZo/pYV0fEcGQhu27HuuH9CccvDlquzOTNt7jsDdlYeA5umzo8Aa5
hlnuG6aZSCGTjaIR06IHNLhv7LAMqO6EzUji3CWd2QC2L8TmPtEN2Ym4eRj3B2Zp
Sh00gj9KbxzyzQSMgrrghxFRbAavIxJ3O2/DbYUUtiHKXyteZbWs47atWPMljvp0
PMWkwJCjIP4z2qnl/Azif8ECJcRS9jLSqte2pU0fRGtWD1MHyAAw7GUPNk5Bk4v2
x0FOYhayixowY8/5FSgGO7d3nsnxD08xogwSp9BlqKrycgroK8XpFc/JZVanyNvj
Geyb2xEO1H/Ere4DGr/Ml/eUBuSyHt43BnvP5ilfjiDdsBjtcvlgFG1KUrJqexx3
9MChBnOfAyXUGzfUn8HVgYYP6PFjUgzax1v6N80eQKOmOgQXIpwR9fQWaf37H7rw
YHqoxldW7Rqi/3xv+olZrCR8QAfAqf94IoT6Xe66jgBaB/8luR623gtxDObNr1Vc
v6UDNBT44KY1rI3W9KtfbXErevu//3tVQJIvSjtLQB1mGfkSDht2SdlaEMdt78z3
idSzl9Fj
=8Ql4
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to